diff --git a/config/rootfiles/packages/transmission b/config/rootfiles/packages/transmission
index d831ecde9..69bc9a1d7 100644
--- a/config/rootfiles/packages/transmission
+++ b/config/rootfiles/packages/transmission
@@ -1,3 +1,4 @@
+etc/rc.d/init.d/transmission
 #etc/transmission
 etc/transmission/settings.json
 usr/bin/transmission-create
@@ -5,88 +6,13 @@ usr/bin/transmission-daemon
 usr/bin/transmission-edit
 usr/bin/transmission-remote
 usr/bin/transmission-show
-#usr/share/man/man1/transmission-create.1
-#usr/share/man/man1/transmission-daemon.1
-#usr/share/man/man1/transmission-edit.1
-#usr/share/man/man1/transmission-remote.1
-#usr/share/man/man1/transmission-show.1
-usr/share/transmission
-#usr/share/transmission/web
-#usr/share/transmission/web/LICENSE
-#usr/share/transmission/web/images
-#usr/share/transmission/web/images/favicon.ico
-#usr/share/transmission/web/images/favicon.png
-#usr/share/transmission/web/images/webclip-icon.png
-#usr/share/transmission/web/index.html
-#usr/share/transmission/web/javascript
-#usr/share/transmission/web/javascript/common.js
-#usr/share/transmission/web/javascript/dialog.js
-#usr/share/transmission/web/javascript/file-row.js
-#usr/share/transmission/web/javascript/formatter.js
-#usr/share/transmission/web/javascript/inspector.js
-#usr/share/transmission/web/javascript/jquery
-#usr/share/transmission/web/javascript/jquery/jquery-migrate.min.js
-#usr/share/transmission/web/javascript/jquery/jquery-ui.min.js
-#usr/share/transmission/web/javascript/jquery/jquery.min.js
-#usr/share/transmission/web/javascript/jquery/jquery.transmenu.min.js
-#usr/share/transmission/web/javascript/jquery/jquery.ui-contextmenu.min.js
-#usr/share/transmission/web/javascript/jquery/json2.min.js
-#usr/share/transmission/web/javascript/main.js
-#usr/share/transmission/web/javascript/notifications.js
-#usr/share/transmission/web/javascript/polyfill.js
-#usr/share/transmission/web/javascript/prefs-dialog.js
-#usr/share/transmission/web/javascript/remote.js
-#usr/share/transmission/web/javascript/torrent-row.js
-#usr/share/transmission/web/javascript/torrent.js
-#usr/share/transmission/web/javascript/transmission.js
-#usr/share/transmission/web/style
-#usr/share/transmission/web/style/jqueryui
-#usr/share/transmission/web/style/jqueryui/images
-#usr/share/transmission/web/style/jqueryui/images/ui-bg_flat_0_aaaaaa_40x100.png
-#usr/share/transmission/web/style/jqueryui/images/ui-bg_flat_75_ffffff_40x100.png
-#usr/share/transmission/web/style/jqueryui/images/ui-bg_glass_55_fbf9ee_1x400.png
-#usr/share/transmission/web/style/jqueryui/images/ui-bg_glass_65_ffffff_1x400.png
-#usr/share/transmission/web/style/jqueryui/images/ui-bg_glass_75_dadada_1x400.png
-#usr/share/transmission/web/style/jqueryui/images/ui-bg_glass_75_e6e6e6_1x400.png
-#usr/share/transmission/web/style/jqueryui/images/ui-bg_glass_95_fef1ec_1x400.png
-#usr/share/transmission/web/style/jqueryui/images/ui-bg_highlight-soft_75_cccccc_1x100.png
-#usr/share/transmission/web/style/jqueryui/images/ui-icons_222222_256x240.png
-#usr/share/transmission/web/style/jqueryui/images/ui-icons_2e83ff_256x240.png
-#usr/share/transmission/web/style/jqueryui/images/ui-icons_454545_256x240.png
-#usr/share/transmission/web/style/jqueryui/images/ui-icons_888888_256x240.png
-#usr/share/transmission/web/style/jqueryui/images/ui-icons_cd0a0a_256x240.png
-#usr/share/transmission/web/style/jqueryui/jquery-ui.min.css
-#usr/share/transmission/web/style/transmission
-#usr/share/transmission/web/style/transmission/common.css
-#usr/share/transmission/web/style/transmission/images
-#usr/share/transmission/web/style/transmission/images/arrow-down.png
-#usr/share/transmission/web/style/transmission/images/arrow-up.png
-#usr/share/transmission/web/style/transmission/images/blue-turtle.png
-#usr/share/transmission/web/style/transmission/images/buttons
-#usr/share/transmission/web/style/transmission/images/buttons/torrent_buttons.png
-#usr/share/transmission/web/style/transmission/images/compact.png
-#usr/share/transmission/web/style/transmission/images/file-priority-high.png
-#usr/share/transmission/web/style/transmission/images/file-priority-low.png
-#usr/share/transmission/web/style/transmission/images/file-priority-normal.png
-#usr/share/transmission/web/style/transmission/images/filter_bar.png
-#usr/share/transmission/web/style/transmission/images/filter_icon.png
-#usr/share/transmission/web/style/transmission/images/inspector-files.png
-#usr/share/transmission/web/style/transmission/images/inspector-info.png
-#usr/share/transmission/web/style/transmission/images/inspector-peers.png
-#usr/share/transmission/web/style/transmission/images/inspector-trackers.png
-#usr/share/transmission/web/style/transmission/images/lock_icon.png
-#usr/share/transmission/web/style/transmission/images/logo.png
-#usr/share/transmission/web/style/transmission/images/progress.png
-#usr/share/transmission/web/style/transmission/images/settings.png
-#usr/share/transmission/web/style/transmission/images/toolbar-close.png
-#usr/share/transmission/web/style/transmission/images/toolbar-folder.png
-#usr/share/transmission/web/style/transmission/images/toolbar-info.png
-#usr/share/transmission/web/style/transmission/images/toolbar-pause-all.png
-#usr/share/transmission/web/style/transmission/images/toolbar-pause.png
-#usr/share/transmission/web/style/transmission/images/toolbar-start-all.png
-#usr/share/transmission/web/style/transmission/images/toolbar-start.png
-#usr/share/transmission/web/style/transmission/images/turtle.png
-#usr/share/transmission/web/style/transmission/images/wrench.png
-#usr/share/transmission/web/style/transmission/mobile.css
+#usr/share/transmission
+#usr/share/transmission/public_html
+#usr/share/transmission/public_html/images
+#usr/share/transmission/public_html/images/favicon.ico
+#usr/share/transmission/public_html/images/favicon.png
+#usr/share/transmission/public_html/images/webclip-icon.png
+#usr/share/transmission/public_html/index.html
+#usr/share/transmission/public_html/transmission-app.js
+#usr/share/transmission/public_html/transmission-app.js.LICENSE.txt
 var/ipfire/backup/addons/includes/transmission
-etc/rc.d/init.d/transmission
diff --git a/lfs/transmission b/lfs/transmission
index ea1167da4..4e0667353 100644
--- a/lfs/transmission
+++ b/lfs/transmission
@@ -1,7 +1,7 @@
 ###############################################################################
 #                                                                             #
 # IPFire.org - A linux based firewall                                         #
-# Copyright (C) 2007-2020  IPFire Team  <info@ipfire.org>                     #
+# Copyright (C) 2007-2023  IPFire Team  <info@ipfire.org>                     #
 #                                                                             #
 # This program is free software: you can redistribute it and/or modify        #
 # it under the terms of the GNU General Public License as published by        #
@@ -26,7 +26,7 @@ include Config
 
 SUMMARY    = A BitTorrent client with multiple UIs
 
-VER        = 3.00
+VER        = 4.0.3
 
 THISAPP    = transmission-$(VER)
 DL_FILE    = $(THISAPP).tar.xz
@@ -34,14 +34,12 @@ DL_FROM    = $(URL_IPFIRE)
 DIR_APP    = $(DIR_SRC)/$(THISAPP)
 TARGET     = $(DIR_INFO)/$(THISAPP)
 PROG       = transmission
-PAK_VER    = 18
+PAK_VER    = 19
 
 DEPS       =
 
 SERVICES   = transmission
 
-CXXFLAGS  += -fno-exceptions
-
 ###############################################################################
 # Top-level Rules
 ###############################################################################
@@ -50,7 +48,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_BLAKE2 = 108c9acb8e8cb9c037ea96ca25f32c8421a6981b613399c73e2cd597dd1b529409329fa3c327630c164db05d8b3da81e634941bca08c7e258bb2d283782b9906
+$(DL_FILE)_BLAKE2 = 3d58f002d57458869e143e4a3617c8992e51a01f15f0e17031bc2913f404a455cde3397bde404f84a2234d12411e99b2902e4213ca6811b95288bb68f9b98553
 
 install : $(TARGET)
 
@@ -83,7 +81,10 @@ $(subst %,%_BLAKE2,$(objects)) :
 $(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
 	@$(PREBUILD)
 	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar axf $(DIR_DL)/$(DL_FILE)
-	cd $(DIR_APP) && ./configure --prefix=/usr --disable-static
+	cd $(DIR_APP) && cmake . \
+			-DCMAKE_INSTALL_PREFIX=/usr \
+			-DCMAKE_BUILD_TYPE=Release \
+			-DINSTALL_DOC=OFF
 	cd $(DIR_APP) && make $(MAKETUNING) $(EXTRA_MAKE)
 	cd $(DIR_APP) && make install
 