diff --git a/config/rootfiles/common/python3-MarkupSafe b/config/rootfiles/common/python3-MarkupSafe
new file mode 100644
index 000000000..bbb75f3f8
--- /dev/null
+++ b/config/rootfiles/common/python3-MarkupSafe
@@ -0,0 +1,16 @@
+#usr/lib/python3.10/site-packages/MarkupSafe-2.1.3-py3.10-linux-x86_64.egg
+#usr/lib/python3.10/site-packages/MarkupSafe-2.1.3-py3.10-linux-x86_64.egg/EGG-INFO
+#usr/lib/python3.10/site-packages/MarkupSafe-2.1.3-py3.10-linux-x86_64.egg/EGG-INFO/PKG-INFO
+#usr/lib/python3.10/site-packages/MarkupSafe-2.1.3-py3.10-linux-x86_64.egg/EGG-INFO/SOURCES.txt
+#usr/lib/python3.10/site-packages/MarkupSafe-2.1.3-py3.10-linux-x86_64.egg/EGG-INFO/dependency_links.txt
+#usr/lib/python3.10/site-packages/MarkupSafe-2.1.3-py3.10-linux-x86_64.egg/EGG-INFO/native_libs.txt
+#usr/lib/python3.10/site-packages/MarkupSafe-2.1.3-py3.10-linux-x86_64.egg/EGG-INFO/not-zip-safe
+#usr/lib/python3.10/site-packages/MarkupSafe-2.1.3-py3.10-linux-x86_64.egg/EGG-INFO/top_level.txt
+#usr/lib/python3.10/site-packages/MarkupSafe-2.1.3-py3.10-linux-x86_64.egg/markupsafe
+#usr/lib/python3.10/site-packages/MarkupSafe-2.1.3-py3.10-linux-x86_64.egg/markupsafe/__init__.py
+#usr/lib/python3.10/site-packages/MarkupSafe-2.1.3-py3.10-linux-x86_64.egg/markupsafe/_native.py
+#usr/lib/python3.10/site-packages/MarkupSafe-2.1.3-py3.10-linux-x86_64.egg/markupsafe/_speedups.c
+#usr/lib/python3.10/site-packages/MarkupSafe-2.1.3-py3.10-linux-x86_64.egg/markupsafe/_speedups.cpython-310-x86_64-linux-gnu.so
+#usr/lib/python3.10/site-packages/MarkupSafe-2.1.3-py3.10-linux-x86_64.egg/markupsafe/_speedups.py
+#usr/lib/python3.10/site-packages/MarkupSafe-2.1.3-py3.10-linux-x86_64.egg/markupsafe/_speedups.pyi
+#usr/lib/python3.10/site-packages/MarkupSafe-2.1.3-py3.10-linux-x86_64.egg/markupsafe/py.typed
diff --git a/lfs/python3-MarkupSafe b/lfs/python3-MarkupSafe
new file mode 100644
index 000000000..e76d6afca
--- /dev/null
+++ b/lfs/python3-MarkupSafe
@@ -0,0 +1,79 @@
+###############################################################################
+#                                                                             #
+# IPFire.org - A linux based firewall                                         #
+# Copyright (C) 2007-2018  IPFire Team  <info@ipfire.org>                     #
+#                                                                             #
+# This program is free software: you can redistribute it and/or modify        #
+# it under the terms of the GNU General Public License as published by        #
+# the Free Software Foundation, either version 3 of the License, or           #
+# (at your option) any later version.                                         #
+#                                                                             #
+# This program is distributed in the hope that it will be useful,             #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of              #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               #
+# GNU General Public License for more details.                                #
+#                                                                             #
+# You should have received a copy of the GNU General Public License           #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.       #
+#                                                                             #
+###############################################################################
+
+###############################################################################
+# Definitions
+###############################################################################
+
+include Config
+
+VER        = 2.1.3
+
+THISAPP    = MarkupSafe-$(VER)
+DL_FILE    = $(THISAPP).tar.gz
+DL_FROM    = $(URL_IPFIRE)
+DIR_APP    = $(DIR_SRC)/$(THISAPP)
+TARGET     = $(DIR_INFO)/$(THISAPP)
+
+###############################################################################
+# Top-level Rules
+###############################################################################
+
+objects = $(DL_FILE)
+
+$(DL_FILE) = $(DL_FROM)/$(DL_FILE)
+
+$(DL_FILE)_BLAKE2 = 1edca84c47c93fddfd22ee2fef2ba3907921ecb2d807c0e105c403d235e5abacba929be94970ad693f4c7d019653ece8255238d825bfc84d1a4a604fb476a783
+
+install : $(TARGET)
+
+check : $(patsubst %,$(DIR_CHK)/%,$(objects))
+
+download :$(patsubst %,$(DIR_DL)/%,$(objects))
+
+b2 : $(subst %,%_BLAKE2,$(objects))
+
+dist: 
+	@$(PAK)
+
+###############################################################################
+# Downloading, checking, b2sum
+###############################################################################
+
+$(patsubst %,$(DIR_CHK)/%,$(objects)) :
+	@$(CHECK)
+
+$(patsubst %,$(DIR_DL)/%,$(objects)) :
+	@$(LOAD)
+
+$(subst %,%_BLAKE2,$(objects)) :
+	@$(B2SUM)
+
+###############################################################################
+# Installation Details
+###############################################################################
+
+$(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
+	@$(PREBUILD)
+	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar zxf $(DIR_DL)/$(DL_FILE)
+	cd $(DIR_APP) && python3 setup.py build
+	cd $(DIR_APP) && python3 setup.py install
+	@rm -rf $(DIR_APP)
+	@$(POSTBUILD)
diff --git a/make.sh b/make.sh
index e8aae4cf0..e5540c0f4 100755
--- a/make.sh
+++ b/make.sh
@@ -1144,6 +1144,7 @@ buildipfire() {
   lfsmake2 sqlite
   lfsmake2 python3
   lfsmake2 python3-setuptools
+  lfsmake2 python3-MarkupSafe
   lfsmake2 ninja
   lfsmake2 meson
   lfsmake2 glib