diff --git a/config/rootfiles/packages/ghostscript b/config/rootfiles/packages/ghostscript
index 05242f725..bd613aaae 100644
--- a/config/rootfiles/packages/ghostscript
+++ b/config/rootfiles/packages/ghostscript
@@ -25,170 +25,170 @@ usr/bin/ps2ps
 usr/bin/ps2ps2
 usr/bin/unix-lpr.sh
 #usr/share/doc/ghostscript
-#usr/share/doc/ghostscript/10.03.0
-#usr/share/doc/ghostscript/10.03.0/COPYING
-#usr/share/doc/ghostscript/10.03.0/GS9_Color_Management.pdf
-#usr/share/doc/ghostscript/10.03.0/Ghostscript.pdf
-#usr/share/doc/ghostscript/10.03.0/News.html
+#usr/share/doc/ghostscript/10.03.1
+#usr/share/doc/ghostscript/10.03.1/COPYING
+#usr/share/doc/ghostscript/10.03.1/GS9_Color_Management.pdf
+#usr/share/doc/ghostscript/10.03.1/Ghostscript.pdf
+#usr/share/doc/ghostscript/10.03.1/News.html
 #usr/share/ghostscript
-#usr/share/ghostscript/10.03.0
-#usr/share/ghostscript/10.03.0/lib
-#usr/share/ghostscript/10.03.0/lib/PDFA_def.ps
-#usr/share/ghostscript/10.03.0/lib/PDFX_def.ps
-#usr/share/ghostscript/10.03.0/lib/PM760p.upp
-#usr/share/ghostscript/10.03.0/lib/PM760pl.upp
-#usr/share/ghostscript/10.03.0/lib/PM820p.upp
-#usr/share/ghostscript/10.03.0/lib/PM820pl.upp
-#usr/share/ghostscript/10.03.0/lib/Stc670p.upp
-#usr/share/ghostscript/10.03.0/lib/Stc670pl.upp
-#usr/share/ghostscript/10.03.0/lib/Stc680p.upp
-#usr/share/ghostscript/10.03.0/lib/Stc680pl.upp
-#usr/share/ghostscript/10.03.0/lib/Stc740p.upp
-#usr/share/ghostscript/10.03.0/lib/Stc740pl.upp
-#usr/share/ghostscript/10.03.0/lib/Stc760p.upp
-#usr/share/ghostscript/10.03.0/lib/Stc760pl.upp
-#usr/share/ghostscript/10.03.0/lib/Stc777p.upp
-#usr/share/ghostscript/10.03.0/lib/Stc777pl.upp
-#usr/share/ghostscript/10.03.0/lib/Stp720p.upp
-#usr/share/ghostscript/10.03.0/lib/Stp720pl.upp
-#usr/share/ghostscript/10.03.0/lib/Stp870p.upp
-#usr/share/ghostscript/10.03.0/lib/Stp870pl.upp
-#usr/share/ghostscript/10.03.0/lib/acctest.ps
-#usr/share/ghostscript/10.03.0/lib/align.ps
-#usr/share/ghostscript/10.03.0/lib/bj8.rpd
-#usr/share/ghostscript/10.03.0/lib/bj8gc12f.upp
-#usr/share/ghostscript/10.03.0/lib/bj8hg12f.upp
-#usr/share/ghostscript/10.03.0/lib/bj8oh06n.upp
-#usr/share/ghostscript/10.03.0/lib/bj8pa06n.upp
-#usr/share/ghostscript/10.03.0/lib/bj8pp12f.upp
-#usr/share/ghostscript/10.03.0/lib/bj8ts06n.upp
-#usr/share/ghostscript/10.03.0/lib/bjc6000a1.upp
-#usr/share/ghostscript/10.03.0/lib/bjc6000b1.upp
-#usr/share/ghostscript/10.03.0/lib/bjc610a0.upp
-#usr/share/ghostscript/10.03.0/lib/bjc610a1.upp
-#usr/share/ghostscript/10.03.0/lib/bjc610a2.upp
-#usr/share/ghostscript/10.03.0/lib/bjc610a3.upp
-#usr/share/ghostscript/10.03.0/lib/bjc610a4.upp
-#usr/share/ghostscript/10.03.0/lib/bjc610a5.upp
-#usr/share/ghostscript/10.03.0/lib/bjc610a6.upp
-#usr/share/ghostscript/10.03.0/lib/bjc610a7.upp
-#usr/share/ghostscript/10.03.0/lib/bjc610a8.upp
-#usr/share/ghostscript/10.03.0/lib/bjc610b1.upp
-#usr/share/ghostscript/10.03.0/lib/bjc610b2.upp
-#usr/share/ghostscript/10.03.0/lib/bjc610b3.upp
-#usr/share/ghostscript/10.03.0/lib/bjc610b4.upp
-#usr/share/ghostscript/10.03.0/lib/bjc610b6.upp
-#usr/share/ghostscript/10.03.0/lib/bjc610b7.upp
-#usr/share/ghostscript/10.03.0/lib/bjc610b8.upp
-#usr/share/ghostscript/10.03.0/lib/caption.ps
-#usr/share/ghostscript/10.03.0/lib/cbjc600.ppd
-#usr/share/ghostscript/10.03.0/lib/cbjc800.ppd
-#usr/share/ghostscript/10.03.0/lib/cdj550.upp
-#usr/share/ghostscript/10.03.0/lib/cdj690.upp
-#usr/share/ghostscript/10.03.0/lib/cdj690ec.upp
-#usr/share/ghostscript/10.03.0/lib/cid2code.ps
-#usr/share/ghostscript/10.03.0/lib/dnj750c.upp
-#usr/share/ghostscript/10.03.0/lib/dnj750m.upp
-#usr/share/ghostscript/10.03.0/lib/docie.ps
-#usr/share/ghostscript/10.03.0/lib/font2pcl.ps
-#usr/share/ghostscript/10.03.0/lib/ghostpdf.ppd
-#usr/share/ghostscript/10.03.0/lib/gs_ce_e.ps
-#usr/share/ghostscript/10.03.0/lib/gs_css_e.ps
-#usr/share/ghostscript/10.03.0/lib/gs_il2_e.ps
-#usr/share/ghostscript/10.03.0/lib/gs_kanji.ps
-#usr/share/ghostscript/10.03.0/lib/gs_ksb_e.ps
-#usr/share/ghostscript/10.03.0/lib/gs_l.xbm
-#usr/share/ghostscript/10.03.0/lib/gs_l.xpm
-#usr/share/ghostscript/10.03.0/lib/gs_l_m.xbm
-#usr/share/ghostscript/10.03.0/lib/gs_lgo_e.ps
-#usr/share/ghostscript/10.03.0/lib/gs_lgx_e.ps
-#usr/share/ghostscript/10.03.0/lib/gs_m.xbm
-#usr/share/ghostscript/10.03.0/lib/gs_m.xpm
-#usr/share/ghostscript/10.03.0/lib/gs_m_m.xbm
-#usr/share/ghostscript/10.03.0/lib/gs_s.xbm
-#usr/share/ghostscript/10.03.0/lib/gs_s.xpm
-#usr/share/ghostscript/10.03.0/lib/gs_s_m.xbm
-#usr/share/ghostscript/10.03.0/lib/gs_t.xbm
-#usr/share/ghostscript/10.03.0/lib/gs_t.xpm
-#usr/share/ghostscript/10.03.0/lib/gs_t_m.xbm
-#usr/share/ghostscript/10.03.0/lib/gs_wl1_e.ps
-#usr/share/ghostscript/10.03.0/lib/gs_wl2_e.ps
-#usr/share/ghostscript/10.03.0/lib/gs_wl5_e.ps
-#usr/share/ghostscript/10.03.0/lib/gslp.ps
-#usr/share/ghostscript/10.03.0/lib/gsnup.ps
-#usr/share/ghostscript/10.03.0/lib/ht_ccsto.ps
-#usr/share/ghostscript/10.03.0/lib/image-qa.ps
-#usr/share/ghostscript/10.03.0/lib/jispaper.ps
-#usr/share/ghostscript/10.03.0/lib/landscap.ps
-#usr/share/ghostscript/10.03.0/lib/lines.ps
-#usr/share/ghostscript/10.03.0/lib/mkcidfm.ps
-#usr/share/ghostscript/10.03.0/lib/necp2x.upp
-#usr/share/ghostscript/10.03.0/lib/necp2x6.upp
-#usr/share/ghostscript/10.03.0/lib/pdf2dsc.ps
-#usr/share/ghostscript/10.03.0/lib/pdf_info.ps
-#usr/share/ghostscript/10.03.0/lib/pf2afm.ps
-#usr/share/ghostscript/10.03.0/lib/pfbtopfa.ps
-#usr/share/ghostscript/10.03.0/lib/ppath.ps
-#usr/share/ghostscript/10.03.0/lib/pphs.ps
-#usr/share/ghostscript/10.03.0/lib/prfont.ps
-#usr/share/ghostscript/10.03.0/lib/printafm.ps
-#usr/share/ghostscript/10.03.0/lib/ps2ai.ps
-#usr/share/ghostscript/10.03.0/lib/ps2epsi.ps
-#usr/share/ghostscript/10.03.0/lib/ras1.upp
-#usr/share/ghostscript/10.03.0/lib/ras24.upp
-#usr/share/ghostscript/10.03.0/lib/ras3.upp
-#usr/share/ghostscript/10.03.0/lib/ras32.upp
-#usr/share/ghostscript/10.03.0/lib/ras4.upp
-#usr/share/ghostscript/10.03.0/lib/ras8m.upp
-#usr/share/ghostscript/10.03.0/lib/rollconv.ps
-#usr/share/ghostscript/10.03.0/lib/s400a1.upp
-#usr/share/ghostscript/10.03.0/lib/s400b1.upp
-#usr/share/ghostscript/10.03.0/lib/sharp.upp
-#usr/share/ghostscript/10.03.0/lib/sipixa6.upp
-#usr/share/ghostscript/10.03.0/lib/st640ih.upp
-#usr/share/ghostscript/10.03.0/lib/st640ihg.upp
-#usr/share/ghostscript/10.03.0/lib/st640p.upp
-#usr/share/ghostscript/10.03.0/lib/st640pg.upp
-#usr/share/ghostscript/10.03.0/lib/st640pl.upp
-#usr/share/ghostscript/10.03.0/lib/st640plg.upp
-#usr/share/ghostscript/10.03.0/lib/stc.upp
-#usr/share/ghostscript/10.03.0/lib/stc1520h.upp
-#usr/share/ghostscript/10.03.0/lib/stc2.upp
-#usr/share/ghostscript/10.03.0/lib/stc200_h.upp
-#usr/share/ghostscript/10.03.0/lib/stc2_h.upp
-#usr/share/ghostscript/10.03.0/lib/stc2s_h.upp
-#usr/share/ghostscript/10.03.0/lib/stc300.upp
-#usr/share/ghostscript/10.03.0/lib/stc300bl.upp
-#usr/share/ghostscript/10.03.0/lib/stc300bm.upp
-#usr/share/ghostscript/10.03.0/lib/stc500p.upp
-#usr/share/ghostscript/10.03.0/lib/stc500ph.upp
-#usr/share/ghostscript/10.03.0/lib/stc600ih.upp
-#usr/share/ghostscript/10.03.0/lib/stc600p.upp
-#usr/share/ghostscript/10.03.0/lib/stc600pl.upp
-#usr/share/ghostscript/10.03.0/lib/stc640p.upp
-#usr/share/ghostscript/10.03.0/lib/stc740ih.upp
-#usr/share/ghostscript/10.03.0/lib/stc800ih.upp
-#usr/share/ghostscript/10.03.0/lib/stc800p.upp
-#usr/share/ghostscript/10.03.0/lib/stc800pl.upp
-#usr/share/ghostscript/10.03.0/lib/stc_h.upp
-#usr/share/ghostscript/10.03.0/lib/stc_l.upp
-#usr/share/ghostscript/10.03.0/lib/stcany.upp
-#usr/share/ghostscript/10.03.0/lib/stcany_h.upp
-#usr/share/ghostscript/10.03.0/lib/stcinfo.ps
-#usr/share/ghostscript/10.03.0/lib/stcolor.ps
-#usr/share/ghostscript/10.03.0/lib/stocht.ps
-#usr/share/ghostscript/10.03.0/lib/traceimg.ps
-#usr/share/ghostscript/10.03.0/lib/traceop.ps
-#usr/share/ghostscript/10.03.0/lib/uninfo.ps
-#usr/share/ghostscript/10.03.0/lib/viewcmyk.ps
-#usr/share/ghostscript/10.03.0/lib/viewgif.ps
-#usr/share/ghostscript/10.03.0/lib/viewjpeg.ps
-#usr/share/ghostscript/10.03.0/lib/viewmiff.ps
-#usr/share/ghostscript/10.03.0/lib/viewpbm.ps
-#usr/share/ghostscript/10.03.0/lib/viewpcx.ps
-#usr/share/ghostscript/10.03.0/lib/viewps2a.ps
-#usr/share/ghostscript/10.03.0/lib/winmaps.ps
-#usr/share/ghostscript/10.03.0/lib/zeroline.ps
+#usr/share/ghostscript/10.03.1
+#usr/share/ghostscript/10.03.1/lib
+#usr/share/ghostscript/10.03.1/lib/PDFA_def.ps
+#usr/share/ghostscript/10.03.1/lib/PDFX_def.ps
+#usr/share/ghostscript/10.03.1/lib/PM760p.upp
+#usr/share/ghostscript/10.03.1/lib/PM760pl.upp
+#usr/share/ghostscript/10.03.1/lib/PM820p.upp
+#usr/share/ghostscript/10.03.1/lib/PM820pl.upp
+#usr/share/ghostscript/10.03.1/lib/Stc670p.upp
+#usr/share/ghostscript/10.03.1/lib/Stc670pl.upp
+#usr/share/ghostscript/10.03.1/lib/Stc680p.upp
+#usr/share/ghostscript/10.03.1/lib/Stc680pl.upp
+#usr/share/ghostscript/10.03.1/lib/Stc740p.upp
+#usr/share/ghostscript/10.03.1/lib/Stc740pl.upp
+#usr/share/ghostscript/10.03.1/lib/Stc760p.upp
+#usr/share/ghostscript/10.03.1/lib/Stc760pl.upp
+#usr/share/ghostscript/10.03.1/lib/Stc777p.upp
+#usr/share/ghostscript/10.03.1/lib/Stc777pl.upp
+#usr/share/ghostscript/10.03.1/lib/Stp720p.upp
+#usr/share/ghostscript/10.03.1/lib/Stp720pl.upp
+#usr/share/ghostscript/10.03.1/lib/Stp870p.upp
+#usr/share/ghostscript/10.03.1/lib/Stp870pl.upp
+#usr/share/ghostscript/10.03.1/lib/acctest.ps
+#usr/share/ghostscript/10.03.1/lib/align.ps
+#usr/share/ghostscript/10.03.1/lib/bj8.rpd
+#usr/share/ghostscript/10.03.1/lib/bj8gc12f.upp
+#usr/share/ghostscript/10.03.1/lib/bj8hg12f.upp
+#usr/share/ghostscript/10.03.1/lib/bj8oh06n.upp
+#usr/share/ghostscript/10.03.1/lib/bj8pa06n.upp
+#usr/share/ghostscript/10.03.1/lib/bj8pp12f.upp
+#usr/share/ghostscript/10.03.1/lib/bj8ts06n.upp
+#usr/share/ghostscript/10.03.1/lib/bjc6000a1.upp
+#usr/share/ghostscript/10.03.1/lib/bjc6000b1.upp
+#usr/share/ghostscript/10.03.1/lib/bjc610a0.upp
+#usr/share/ghostscript/10.03.1/lib/bjc610a1.upp
+#usr/share/ghostscript/10.03.1/lib/bjc610a2.upp
+#usr/share/ghostscript/10.03.1/lib/bjc610a3.upp
+#usr/share/ghostscript/10.03.1/lib/bjc610a4.upp
+#usr/share/ghostscript/10.03.1/lib/bjc610a5.upp
+#usr/share/ghostscript/10.03.1/lib/bjc610a6.upp
+#usr/share/ghostscript/10.03.1/lib/bjc610a7.upp
+#usr/share/ghostscript/10.03.1/lib/bjc610a8.upp
+#usr/share/ghostscript/10.03.1/lib/bjc610b1.upp
+#usr/share/ghostscript/10.03.1/lib/bjc610b2.upp
+#usr/share/ghostscript/10.03.1/lib/bjc610b3.upp
+#usr/share/ghostscript/10.03.1/lib/bjc610b4.upp
+#usr/share/ghostscript/10.03.1/lib/bjc610b6.upp
+#usr/share/ghostscript/10.03.1/lib/bjc610b7.upp
+#usr/share/ghostscript/10.03.1/lib/bjc610b8.upp
+#usr/share/ghostscript/10.03.1/lib/caption.ps
+#usr/share/ghostscript/10.03.1/lib/cbjc600.ppd
+#usr/share/ghostscript/10.03.1/lib/cbjc800.ppd
+#usr/share/ghostscript/10.03.1/lib/cdj550.upp
+#usr/share/ghostscript/10.03.1/lib/cdj690.upp
+#usr/share/ghostscript/10.03.1/lib/cdj690ec.upp
+#usr/share/ghostscript/10.03.1/lib/cid2code.ps
+#usr/share/ghostscript/10.03.1/lib/dnj750c.upp
+#usr/share/ghostscript/10.03.1/lib/dnj750m.upp
+#usr/share/ghostscript/10.03.1/lib/docie.ps
+#usr/share/ghostscript/10.03.1/lib/font2pcl.ps
+#usr/share/ghostscript/10.03.1/lib/ghostpdf.ppd
+#usr/share/ghostscript/10.03.1/lib/gs_ce_e.ps
+#usr/share/ghostscript/10.03.1/lib/gs_css_e.ps
+#usr/share/ghostscript/10.03.1/lib/gs_il2_e.ps
+#usr/share/ghostscript/10.03.1/lib/gs_kanji.ps
+#usr/share/ghostscript/10.03.1/lib/gs_ksb_e.ps
+#usr/share/ghostscript/10.03.1/lib/gs_l.xbm
+#usr/share/ghostscript/10.03.1/lib/gs_l.xpm
+#usr/share/ghostscript/10.03.1/lib/gs_l_m.xbm
+#usr/share/ghostscript/10.03.1/lib/gs_lgo_e.ps
+#usr/share/ghostscript/10.03.1/lib/gs_lgx_e.ps
+#usr/share/ghostscript/10.03.1/lib/gs_m.xbm
+#usr/share/ghostscript/10.03.1/lib/gs_m.xpm
+#usr/share/ghostscript/10.03.1/lib/gs_m_m.xbm
+#usr/share/ghostscript/10.03.1/lib/gs_s.xbm
+#usr/share/ghostscript/10.03.1/lib/gs_s.xpm
+#usr/share/ghostscript/10.03.1/lib/gs_s_m.xbm
+#usr/share/ghostscript/10.03.1/lib/gs_t.xbm
+#usr/share/ghostscript/10.03.1/lib/gs_t.xpm
+#usr/share/ghostscript/10.03.1/lib/gs_t_m.xbm
+#usr/share/ghostscript/10.03.1/lib/gs_wl1_e.ps
+#usr/share/ghostscript/10.03.1/lib/gs_wl2_e.ps
+#usr/share/ghostscript/10.03.1/lib/gs_wl5_e.ps
+#usr/share/ghostscript/10.03.1/lib/gslp.ps
+#usr/share/ghostscript/10.03.1/lib/gsnup.ps
+#usr/share/ghostscript/10.03.1/lib/ht_ccsto.ps
+#usr/share/ghostscript/10.03.1/lib/image-qa.ps
+#usr/share/ghostscript/10.03.1/lib/jispaper.ps
+#usr/share/ghostscript/10.03.1/lib/landscap.ps
+#usr/share/ghostscript/10.03.1/lib/lines.ps
+#usr/share/ghostscript/10.03.1/lib/mkcidfm.ps
+#usr/share/ghostscript/10.03.1/lib/necp2x.upp
+#usr/share/ghostscript/10.03.1/lib/necp2x6.upp
+#usr/share/ghostscript/10.03.1/lib/pdf2dsc.ps
+#usr/share/ghostscript/10.03.1/lib/pdf_info.ps
+#usr/share/ghostscript/10.03.1/lib/pf2afm.ps
+#usr/share/ghostscript/10.03.1/lib/pfbtopfa.ps
+#usr/share/ghostscript/10.03.1/lib/ppath.ps
+#usr/share/ghostscript/10.03.1/lib/pphs.ps
+#usr/share/ghostscript/10.03.1/lib/prfont.ps
+#usr/share/ghostscript/10.03.1/lib/printafm.ps
+#usr/share/ghostscript/10.03.1/lib/ps2ai.ps
+#usr/share/ghostscript/10.03.1/lib/ps2epsi.ps
+#usr/share/ghostscript/10.03.1/lib/ras1.upp
+#usr/share/ghostscript/10.03.1/lib/ras24.upp
+#usr/share/ghostscript/10.03.1/lib/ras3.upp
+#usr/share/ghostscript/10.03.1/lib/ras32.upp
+#usr/share/ghostscript/10.03.1/lib/ras4.upp
+#usr/share/ghostscript/10.03.1/lib/ras8m.upp
+#usr/share/ghostscript/10.03.1/lib/rollconv.ps
+#usr/share/ghostscript/10.03.1/lib/s400a1.upp
+#usr/share/ghostscript/10.03.1/lib/s400b1.upp
+#usr/share/ghostscript/10.03.1/lib/sharp.upp
+#usr/share/ghostscript/10.03.1/lib/sipixa6.upp
+#usr/share/ghostscript/10.03.1/lib/st640ih.upp
+#usr/share/ghostscript/10.03.1/lib/st640ihg.upp
+#usr/share/ghostscript/10.03.1/lib/st640p.upp
+#usr/share/ghostscript/10.03.1/lib/st640pg.upp
+#usr/share/ghostscript/10.03.1/lib/st640pl.upp
+#usr/share/ghostscript/10.03.1/lib/st640plg.upp
+#usr/share/ghostscript/10.03.1/lib/stc.upp
+#usr/share/ghostscript/10.03.1/lib/stc1520h.upp
+#usr/share/ghostscript/10.03.1/lib/stc2.upp
+#usr/share/ghostscript/10.03.1/lib/stc200_h.upp
+#usr/share/ghostscript/10.03.1/lib/stc2_h.upp
+#usr/share/ghostscript/10.03.1/lib/stc2s_h.upp
+#usr/share/ghostscript/10.03.1/lib/stc300.upp
+#usr/share/ghostscript/10.03.1/lib/stc300bl.upp
+#usr/share/ghostscript/10.03.1/lib/stc300bm.upp
+#usr/share/ghostscript/10.03.1/lib/stc500p.upp
+#usr/share/ghostscript/10.03.1/lib/stc500ph.upp
+#usr/share/ghostscript/10.03.1/lib/stc600ih.upp
+#usr/share/ghostscript/10.03.1/lib/stc600p.upp
+#usr/share/ghostscript/10.03.1/lib/stc600pl.upp
+#usr/share/ghostscript/10.03.1/lib/stc640p.upp
+#usr/share/ghostscript/10.03.1/lib/stc740ih.upp
+#usr/share/ghostscript/10.03.1/lib/stc800ih.upp
+#usr/share/ghostscript/10.03.1/lib/stc800p.upp
+#usr/share/ghostscript/10.03.1/lib/stc800pl.upp
+#usr/share/ghostscript/10.03.1/lib/stc_h.upp
+#usr/share/ghostscript/10.03.1/lib/stc_l.upp
+#usr/share/ghostscript/10.03.1/lib/stcany.upp
+#usr/share/ghostscript/10.03.1/lib/stcany_h.upp
+#usr/share/ghostscript/10.03.1/lib/stcinfo.ps
+#usr/share/ghostscript/10.03.1/lib/stcolor.ps
+#usr/share/ghostscript/10.03.1/lib/stocht.ps
+#usr/share/ghostscript/10.03.1/lib/traceimg.ps
+#usr/share/ghostscript/10.03.1/lib/traceop.ps
+#usr/share/ghostscript/10.03.1/lib/uninfo.ps
+#usr/share/ghostscript/10.03.1/lib/viewcmyk.ps
+#usr/share/ghostscript/10.03.1/lib/viewgif.ps
+#usr/share/ghostscript/10.03.1/lib/viewjpeg.ps
+#usr/share/ghostscript/10.03.1/lib/viewmiff.ps
+#usr/share/ghostscript/10.03.1/lib/viewpbm.ps
+#usr/share/ghostscript/10.03.1/lib/viewpcx.ps
+#usr/share/ghostscript/10.03.1/lib/viewps2a.ps
+#usr/share/ghostscript/10.03.1/lib/winmaps.ps
+#usr/share/ghostscript/10.03.1/lib/zeroline.ps
 #usr/share/ghostscript/fonts
 #usr/share/ghostscript/fonts/COPYING
 #usr/share/ghostscript/fonts/ChangeLog
diff --git a/lfs/ghostscript b/lfs/ghostscript
index 57634f6f6..f198a0d1b 100644
--- a/lfs/ghostscript
+++ b/lfs/ghostscript
@@ -26,7 +26,7 @@ include Config
 
 SUMMARY    = The Ghostscript interpreter for PostScript and PDF
 
-VER        = 10.03.0
+VER        = 10.03.1
 
 THISAPP    = ghostscript-$(VER)
 DL_FILE    = $(THISAPP).tar.xz
@@ -34,7 +34,7 @@ DL_FROM    = $(URL_IPFIRE)
 DIR_APP    = $(DIR_SRC)/$(THISAPP)
 TARGET     = $(DIR_INFO)/$(THISAPP)
 PROG       = ghostscript
-PAK_VER    = 17
+PAK_VER    = 18
 
 DEPS       = cups dbus
 
@@ -52,7 +52,7 @@ $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 ghostscript-fonts-std-8.11.tar.gz = $(URL_IPFIRE)/ghostscript-fonts-std-8.11.tar.gz
 gnu-gs-fonts-other-6.0.tar.gz = $(URL_IPFIRE)/gnu-gs-fonts-other-6.0.tar.gz
 
-$(DL_FILE)_BLAKE2 = c64e0fc9dd290b81e61793671e8645f16b04070685f6ab9d35a60cb910d7504e1e686525af8b74121ae31a5b344e2332efd8bdf99f2a4c5586bff747b8df78d7
+$(DL_FILE)_BLAKE2 = 991e81c4a9f8459220f6af988fb533cc3c2393fef0c57b35da5685fb6f8b0e76af00457f9b0e552ea241b272cdfaa90cf4a06d6cb1008b55efe782faa14c90da
 ghostscript-fonts-std-8.11.tar.gz_BLAKE2 = 1d8ae8f7813623a36e160bdd0ca9ccf33c67b945dd96952eb0e37e9bb5bb4ba5daf7df4da5ba53c1d25d6598a0576990ba7e094b8c395778cb9cdfd32761454c
 gnu-gs-fonts-other-6.0.tar.gz_BLAKE2 = 001709983161519365bcef23fef3705071b67253ff3b557c45d2ec892987815444d8dd1d213e94bc02e361917c061c723043bf04c98b0a1e38c9cd1f265d1312
 